>From 4e61f535b48729406966f9d1cfba76f9b882c5fd Mon Sep 17 00:00:00 2001
From: Manuel Traut <manut@linutronix.de>
Date: Mon, 11 Jul 2016 12:29:55 +0200
Subject: [PATCH] fix setsel mode

as reported with a similar patch by Ludwig Zenz

Signed-off-by: Manuel Traut <manut@linutronix.de>
---
 elbepack/efilesystem.py | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

diff --git a/elbepack/efilesystem.py b/elbepack/efilesystem.py
index b7f15ee..0baa84a 100644
--- a/elbepack/efilesystem.py
+++ b/elbepack/efilesystem.py
@@ -96,15 +96,16 @@ def extract_target( src, xml, dst, log, cache ):
         pass
 
     if xml.tgt.has("setsel"):
-        log.do("mount -o bind /proc %s" %(dst.fname('proc')))
-        log.do("mount -o bind /sys %s" %(dst.fname('sys')))
+        pkglist = [ n.et.text for n in xml.node ('target/pkg-list') if n.tag == 'pkg' ]
+        psel = 'var/cache/elbe/pkg-selections'
 
-        log.do("chroot %s dpkg --clear-selections" %(dst.fname('')))
-        log.do("chroot %s dpkg --set-selections <var/cache/elbe/pkg-selections" %(dst.fname('')))
-        log.do("chroot %s dpkg --purge -a" %(dst.fname('')))
+        with open (dst.fname (psel), 'w+') as f:
+            for item in pkglist:
+                f.write("%s  install\n" % item)
 
-        log.do("umount %s" %(dst.fname('sys')))
-        log.do("umount %s" %(dst.fname('proc')))
+        log.chroot (dst, "dpkg --clear-selections")
+        log.chroot (dst, "dpkg --set-selections < %s " % dst.fname (psel))
+        log.chroot (dst, "dpkg --purge -a")
 
 
 class ElbeFilesystem(Filesystem):
-- 
2.8.1

